libreoffice

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

libreoffice

Gigel Titu
Hello,
I can not install libreoffice in OpenBSD 6.4 , i386 arch.
Please mail me to find out whether or not there is a solution to this problem.
Yours sincerely, T.Gigel

===>  libreoffice-6.1.1.2p0v0  is marked as broken for i386: undefined refs to operator new/delete in libuno_cppuhelpergcc3.so .
( make install command in /usr/ports/editors/libreoffice )


pkg_add libreoffice
quirks-3.16 signed on 2018-10-13T13:42:51Z
Can't find libreoffice

This is the answer when I attempt to install libreoffice in OpenBSD 6.4 arch_i386 machine.
Any chance to solve this?

Reply | Threaded
Open this post in threaded view
|

Re: libreoffice

Stuart Henderson
On 2019/04/13 21:56, Gigel Titu wrote:

> Hello,
> I can not install libreoffice in OpenBSD 6.4 , i386 arch.
> Please mail me to find out whether or not there is a solution to this problem.
> Yours sincerely, T.Gigel
>
> ===>  libreoffice-6.1.1.2p0v0  is marked as broken for i386: undefined refs to operator new/delete in libuno_cppuhelpergcc3.so .
> ( make install command in /usr/ports/editors/libreoffice )
>
>
> pkg_add libreoffice
> quirks-3.16 signed on 2018-10-13T13:42:51Z
> Can't find libreoffice
>
> This is the answer when I attempt to install libreoffice in OpenBSD 6.4 arch_i386 machine.
> Any chance to solve this?
>

The libreoffice port was marked as broken for i386 because it didn't build there.

It has since been fixed and packages are available in snapshots and for the
forthcoming 6.5 release.